Add Profile Transaction Claim
curl --request POST \
--url https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/transactions/claims \
--header 'Content-Type: application/json' \
--data '
{
"profile_id": "<string>",
"transaction_receipt_ref": "<string>",
"transaction_total": 123,
"transaction_transacted_at": "2023-12-25",
"transaction_timezone": "<string>",
"transaction_location_external_code": "<string>"
}
'import requests
url = "https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/transactions/claims"
payload = {
"profile_id": "<string>",
"transaction_receipt_ref": "<string>",
"transaction_total": 123,
"transaction_transacted_at": "2023-12-25",
"transaction_timezone": "<string>",
"transaction_location_external_code": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
profile_id: '<string>',
transaction_receipt_ref: '<string>',
transaction_total: 123,
transaction_transacted_at: '2023-12-25',
transaction_timezone: '<string>',
transaction_location_external_code: '<string>'
})
};
fetch('https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/transactions/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"status": "<string>",
"profile_id": "<string>",
"transaction_receipt_ref": "<string>",
"transaction_transacted_at": "<string>",
"transaction_timezone": "<string>",
"transaction_total": "<string>",
"transaction_location_external_code": "<string>",
"attempts": 123,
"claimed_transaction_id": 123,
"claimed_at": "<string>",
"last_checked_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Profile Transaction Claim
Add Profile Transaction Claim
A POST to the /profiles/{profile}/transactions/claims endpoint allows your application to create profile transaction claim.
POST
/
v3
/
profiles
/
{profile}
/
transactions
/
claims
Add Profile Transaction Claim
Path Parameters
The profile ID
Body
application/json
Response
TransactionClaim
Show child attributes
Show child attributes
⌘I